package com.miaxis.test;

import com.miaxis.JsjpApplication;
import com.miaxis.userInfo.service.IUserVipService;
import com.miaxis.wx.dto.WxExtractBankDTO;
import com.miaxis.wx.service.IWxExtractService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.text.SimpleDateFormat;
import java.util.Date;

@SpringBootTest(classes = JsjpApplication.class)
@RunWith(SpringRunner.class)
public class SignTest {

    @Autowired
    private IUserVipService userVipService;

    @Test
    public void test2() throws Exception {

        SimpleDateFormat sf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date  date= sf.parse("2024-01-30 13:46:13");

        System.out.println(userVipService.getSignInt(932066l,date,null,null,null,1,0,0,0));
    }


    public static void main(String[] args) {

        String s = "35,45,31,19.5";
        String[] values= s.split(",");
        int priceApple = Integer.parseInt(values[3]) *100;   //订单总额
        System.out.println(priceApple);

    }



}
